Public key representation with recorded id from blockchain.

### Hierarchy

- PublicKeyWithId

## Index

### Properties

- id
- pk

### Methods

- deserialize

## Properties

### id

id: number

- Defined in transaction/ddo.ts:52

Id of the public key.

Only numeric part is recorded. Full PublicKeyId will be constucted as follows:

<ONTID>#keys-<id>

### pk

pk: PublicKey

- Defined in transaction/ddo.ts:53

## Methods

### Static deserialize

- deserialize(hexstr: string): PublicKeyWithId[]

- - Defined in transaction/ddo.ts:31

  Deserialize from hex string to PublicKeyWithId

  #### Parameters

  - ##### hexstr: string

  #### Returns PublicKeyWithId[]

Generated using TypeDoc